POST api/Order
Request Information
URI Parameters
None.
Body Parameters
PlaceOrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Currency | string |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| OrderLines | Collection of PlaceOrderLineDto |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentMethod | string |
None. |
|
| IsSubscription | boolean |
None. |
|
| ShopId | globally unique identifier |
None. |
|
| IsFree | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"currency": "sample string 1",
"personId": "2813689f-9bb3-4390-a75f-ec583313c62b",
"orderLines": [
{
"count": 1,
"campaignId": "5dad0052-9eeb-4758-b24b-78f54e656d23",
"productId": "3f79f098-e635-4502-854b-f0e08aa4a318"
},
{
"count": 1,
"campaignId": "5dad0052-9eeb-4758-b24b-78f54e656d23",
"productId": "3f79f098-e635-4502-854b-f0e08aa4a318"
}
],
"deliveryMethod": "sample string 2",
"paymentMethod": "sample string 3",
"isSubscription": true,
"shopId": "85855da8-717b-4273-8400-3e6400c3ccb3",
"isFree": true
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.